Subject: Re: [PATCH/RFCv5 2/3] git rebase -i: warn about removed commits

From: Matthieu Moy <[email-masked]>
Date: Wed, 10 Jun 2015 17:55:48 +0200

Remi Galan Alfonso <[email-masked]> writes:

> Matthieu Moy <[email-masked]> writes:
>> > +                        warn_file "$todo".miss
>> 
>> I would find it more elegant with less intermediate files, like
>> 
>> git rev-list $opt <"$todo".miss | while read -r line
>> do
>>         warn " - $line"
>> done
>
> I am not really sure since I also use warn_file to display the bad
> commands and SHA-1 in 3/3.

I noticed this later indeed. But had the function been eg. warn_pipe,
you could have written

git rev-list $opt <"$todo".miss | warn_pipe

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/